<h1>Top-Up</h1>

<%= form_with model: @transaction, url: transactions_do_top_up_path do |form| %>
  <%= render 'shared/form_error', model: @transaction %>

  <div class="mb-3">
    <%= form.label :wallet_id, "Whose Wallet?", class: "form-label" %>
    <%= form.select :wallet_id, User.order(:name).collect { |u| [ u.name, u.wallet.id ] }, { prompt: 'Select User' }, { class: 'form-select' } %>
  </div>

  <div class="mb-3">
    <%= form.label :amount, "How Much?", class: "form-label" %>
    <%= form.number_field :amount, in: 100000..100000000, step: 100000, class: "form-control" %>
  </div>

  <div class="actions">
    <%= form.submit class: "btn btn-primary" %>
  </div>

  <%= form.hidden_field :ref_wallet_id, :value => 0 %>
<% end %>
